%define		_state		stable
%define		orgname		kruler
%define		qtver		4.8.0

Name:		kde4-kruler
Version:	4.10.4
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	ftp://ftp.kde.org/pub/kde/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	b65c5f0632c2ac06c827f30cf8ff094d
Summary:	KRuler
Summary(pl.UTF-8):	Linijka dla KDE
Summary(pt_BR.UTF-8):	Régua de pixels para a tela
Group:		X11/Applications/Graphics
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	xorg-lib-libX11-devel
Requires:	kde4-kdebase >= %{version}
Requires:	kde4-kdebase >= %{version}
Obsoletes:	kde4-kdegraphics-kruler < 4.6.99
Obsoletes:	kruler <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KRuler is a very simple application, with only one aim in life. To
measure distances on your screen.

%description -l pl.UTF-8
KRuler jest prostą aplikacją, z tylko jednym celem w życiu: mierzenie
odległości na ekranie.

%description -l pt_BR.UTF-8
Régua de pixels para a tela.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kruler
%{_datadir}/apps/kruler
%{_desktopdir}/kde4/kruler.desktop
%{_iconsdir}/*/*/apps/kruler.*
%{_kdedocdir}/en/kruler
%{_iconsdir}/*/*/actions/kruler*
%changelog
* Wed Jun 19 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-kruler.git;a=log;h=master

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 6095a6b
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> aab6560
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> fe99174
- updated to 4.9.4

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 809c341
- updated to 4.9.1.

* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> 6bc1705
- updated to 4.9.0.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 5998620
- up to 4.8.0; now as kde4-kruler

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 95da833
- up to 4.7.3

* Wed Sep 14 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> d7fc119
- rel 1;

* Tue Aug 02 2011 lmasko <lmasko@pld-linux.org> 9297305
- Initial release for KDE 4.7.0.

